
GCJ=gcj

GL4GCJ_CLASSPATH =  ../src/gl4gcj.jar:../src/glut4gcj.jar
GL4GCJ_LDFLAGS =  -L../src
GL4GCJ_LIBS =  -lglut4gcj -lgl4gcj  -L/usr/X11R6/lib -lGL -lglut
HAS_GL4GCJ = 

OPT_FLAGS = -O2
GCJFLAGS =   $(OPT_FLAGS) -I. -g -Wall --encoding=UTF-8 
CFLAGS =  -Wall -DNDEBUG  
LIBS = 

EXEEXT = 

COMMON_SRCS = \

COMMON_OBJS = $(COMMON_SRCS:.java=.o)

SRCS = \
	SimpleWindow.java \
	MultiWindow.java \
	EventTest.java \
	TimerTest.java \
	Teapot.java \

#	UtilTimerTest.java \
#	TestSpriteGL.java \
#	VertexPointerTest.java \


PROGS = $(SRCS:.java=$(EXEEXT))

all : $(COMMON_OBJS) $(PROGS) 


.SUFFIXES : .java .o $(EXEEXT)

.java.o: 
	$(GCJ) $(GCJFLAGS) --classpath=$(GL4GCJ_CLASSPATH) -c -o $@ $< 

.java$(EXEEXT): 
	$(GCJ) $(GCJFLAGS) --classpath=$(GL4GCJ_CLASSPATH) $(CFLAGS) --main=$(@:$(EXEEXT)=) -o $@ $< $(COMMON_OBJS) $(GL4GCJ_LDFLAGS) $(GL4GCJ_LIBS) $(LIBS) 

distclean : clean
	-rm config.cache config.log  config.status 

clean :
	-rm $(PROGS) $(COMMON_OBJS)

